# Method: accounts.adclients.adunits.create

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/create#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/create#body.response_body)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/create#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/create#try-it)

Creates an ad unit.

This method can be called only by a restricted set of projects, which are usually owned by [AdSense for Platforms](https://developers.google.com/adsense/platforms/) publishers. Contact your account manager if you need to use this method.

Note that ad units can only be created for ad clients with an "AFC" product code. For more info see the [AdClient resource](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients).

For now, this method can only be used to create `DISPLAY` ad units. See: <https://support.google.com/adsense/answer/9183566>

### HTTP request

`POST https://adsense.googleapis.com/v2/{parent=accounts/*/adclients/*}/adunits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Ad client to create an ad unit under. Format: accounts/{account}/adclients/{adclient} |

### Request body

The request body contains an instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits#AdUnit`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits#AdUnit`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsense`